Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table.fill
Class FillTable

    java.lang.Object
      net.sf.jasperreports.engine.component.BaseFillComponent
          net.sf.jasperreports.components.table.fill.FillTable

All Implemented Interfaces:
  FillComponent

    public class FillTable

extends BaseFillComponent

Version:
  $Id: FillTable.java 3934 2010-08-11 20:59:09Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected class` | `FillTable.FillColumnEvaluator`

Field Summary

Fields inherited from class net.sf.jasperreports.engine.component.BaseFillComponent
`fillContext`

Constructor Summary
`FillTable(TableComponent table, JRFillObjectFactory factory)`

Method Summary
`protected void` | `createFillSubreport()`
`protected FillTableSubreport` | `createFillTableSubreport()`
`protected JRReportCompileData` | `createTableReportCompileData(JasperReport parentReport, JRDataset reportSubdataset)`
`void` | `evaluate(byte evaluation)` Evaluates the fill component.
`protected void` | `evaluateColumns(byte evaluation)`
`JRPrintElement` | `fill()` Fills the component by creating a print element which will be included in the generated report.
`protected JRTemplateFrame` | `getFrameTemplate()`
`FillPrepareResult` | `prepare(int availableHeight)` Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.
`void` | `rewind()` The default implementation is empty.
`protected boolean` | `toPrintColumn(BaseColumn column, byte evaluation)`

Methods inherited from class net.sf.jasperreports.engine.component.BaseFillComponent
`evaluateDelayedElement, evaluateExpression, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FillTable

    public FillTable(TableComponent table,
                     JRFillObjectFactory factory)

Method Detail

### evaluate

    public void evaluate(byte evaluation)
                  throws JRException

  Description copied from interface: `FillComponent`
  Evaluates the fill component.

  This method would evaluate the component expressions and store the results to be used in `FillComponent.fill()`.

  If the component needs to delay the evaluation of some of its expressions, it would call `FillContext.registerDelayedEvaluation(JRPrintElement, EvaluationTimeEnum, String)` to register a delayed evaluation print element, and perform the delayed evaluations on `FillComponent.evaluateDelayedElement(JRPrintElement, byte)`.

  Parameters:
    `evaluation` - the evaluation type
  Throws:
    `JRException`
  See Also:
    `FillContext.evaluate(net.sf.jasperreports.engine.JRExpression, byte)`

### toPrintColumn

    protected boolean toPrintColumn(BaseColumn column,
                                    byte evaluation)
                             throws JRException

  Throws:
    `JRException`

### evaluateColumns

    protected void evaluateColumns(byte evaluation)

### createFillSubreport

    protected void createFillSubreport()
                                throws JRException

  Throws:
    `JRException`

### createFillTableSubreport

    protected FillTableSubreport createFillTableSubreport()
                                                   throws JRException

  Throws:
    `JRException`

### createTableReportCompileData

    protected JRReportCompileData createTableReportCompileData(JasperReport parentReport,
                                                               JRDataset reportSubdataset)
                                                        throws JRException

  Throws:
    `JRException`

### prepare

    public FillPrepareResult prepare(int availableHeight)

  Description copied from interface: `FillComponent`
  Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.

  Parameters:
    `availableHeight` - the amount of vertical space available for the component, starting from the top of the component element.
  Returns:
    the result of the preparation, which specifies whether the component will print and how much it will stretch vertically.

### fill

    public JRPrintElement fill()

  Description copied from interface: `FillComponent`
  Fills the component by creating a print element which will be included in the generated report.

  This method will get called only if `FillComponent.prepare(int)` returned a result that indicated that the component will print.

  Returns:
    the print element generated by the component

### getFrameTemplate

    protected JRTemplateFrame getFrameTemplate()

### rewind

    public void rewind()

  Description copied from class: `BaseFillComponent`
  The default implementation is empty.

  Override this method if something needs to be done on component rewind.

  Specified by:
    `rewind` in interface `FillComponent`
  Overrides:
    `rewind` in class `BaseFillComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com